package ws;

import java.util.*;
import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "personne", propOrder = {
    "id",
    "nom",
    "pr\u00e9nom",
    "telephones",
    "\u00e2ge"
})
public class Personne {

    protected long id;
    protected String nom;
    protected String prénom;
    @XmlElement(nillable = true)
    protected List<String> telephones;
    protected int âge;

    public long getId() {  return id;   }
    public void setId(long value) {  this.id = value;   }

    public String getNom() {  return nom;  }
    public void setNom(String value) {  this.nom = value;   }

    public String getPrénom() {  return prénom;   }
    public void setPrénom(String value) {  this.prénom = value;   }

    public List<String> getTelephones() {
        if (telephones == null) {
            telephones = new ArrayList<String>();
        }
        return this.telephones;
    }

    public int getÂge() {  return âge;   }
    public void setÂge(int value) {  this.âge = value;   }

    public Personne() {  }

    public Personne(String nom, String prénom, int âge) {
        this.nom = nom;
        this.prénom = prénom;
        this.âge = âge;
    }

    @Override
    public String toString() {
        return nom+' '+prénom;
    }

    public void modifier(String nom, String prénom, int âge) {
        this.nom = nom;
        this.prénom = prénom;
        this.âge = âge;
    }
}
