package clientwebservice;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.*;
import ws.*;

public class Client extends JFrame {
    private JToolBar outils = new JToolBar();
    private JTextField nom = new JTextField();
    private JTextField prénom = new JTextField();
    private JFormattedTextField âge = new JFormattedTextField(0);
    private JComboBox téléphones = new JComboBox();
    private JPanel panneau = new JPanel();
    private JComboBox liste = new JComboBox();
    private static GestionPersonneWS gestion;
    private Personne personne = new Personne();
    private boolean effacer = true;
    
    public Client() {
        super("Personne");
        add(outils, BorderLayout.NORTH);
        outils.add(new AbstractAction("Enregistrer") {
            public void actionPerformed(ActionEvent e) {
                Personne personne = new Personne(nom.getText(), prénom.getText(), (Integer)âge.getValue());
                for (int i=0; i<téléphones.getItemCount(); i++)
                    personne.getTelephones().add((String) téléphones.getItemAt(i));
                gestion.nouveau(personne);
                listingPersonnes();
            }
        });
        outils.add(new AbstractAction("Ajout téléphone") {
            public void actionPerformed(ActionEvent e) {
                String téléphone = (String) téléphones.getSelectedItem();
                téléphones.addItem(téléphone);                
            }
        });
        outils.add(new AbstractAction("Modifier") {
            public void actionPerformed(ActionEvent e) {
                personne.modifier(nom.getText(), prénom.getText(), (Integer)âge.getValue());
                gestion.modifier(personne);
                listingPersonnes();
            }
        });
        outils.add(new AbstractAction("Supprimer") {
            public void actionPerformed(ActionEvent e) {
                gestion.supprimer(personne.getId());
                listingPersonnes();
            }
        });
        outils.add(new AbstractAction("Effacer") {
            public void actionPerformed(ActionEvent e) {
                personne = new Personne();
                rafraîchir();
            }
        });
        panneau.setLayout(new GridLayout(4, 2));
        panneau.add(new JLabel("Nom :"));
        panneau.add(nom);
        panneau.add(new JLabel("Prénom :"));
        panneau.add(prénom);
        panneau.add(new JLabel("Âge :"));
        panneau.add(âge);        
        panneau.add(new JLabel("Téléphones :"));
        panneau.add(téléphones);
        téléphones.setEditable(true);
        add(panneau);
        add(liste, BorderLayout.SOUTH);
        liste.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                if (!effacer) {
                    personne = (Personne) liste.getSelectedItem();
                    rafraîchir();
                }
            }
        });
        listingPersonnes();
        pack();
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setVisible(true);
    }

    private void listingPersonnes() {
        effacer = true;
        liste.removeAllItems();
        effacer = false;
        for (Personne personne : gestion.listePersonnes())
            liste.addItem(personne);
    }

    private void rafraîchir() {
        nom.setText(personne.getNom());
        prénom.setText(personne.getPrénom());
        âge.setValue(personne.getÂge());
        téléphones.removeAllItems();
        for (String téléphone : personne.getTelephones()) téléphones.addItem(téléphone);
    }

    public static void main(String[] args) { 
        gestion = new GestionPersonneWSService().getGestionPersonneWSPort();
        new Client();  
    }
}
